Debian Bug report logs - #342173
ascii.7.gz: mention what EOT,ENQ, etc. stand for

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Mon, 5 Dec 2005 23:18:18 UTC

Severity: wishlist

Tags: fixed-upstream, upstream

Found in version manpages/2.02-2

Fixed in version manpages/2.23-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#342173; Package manpages. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ascii.7.gz: mention what EOT,ENQ, etc. stand for
Date: Tue, 06 Dec 2005 02:33:33 +0800
Package: manpages
Version: 2.02-2
Severity: wishlist
File: /usr/share/man/man7/ascii.7.gz
Tags: upstream

Mention what ...EOT,ENQ... stand for, like the level of
detail on manpage ISO_8859-1(7).



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#342173; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #8 received at 342173@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Dan Jacobson <jidanni@jidanni.org>,342173@bugs.debian.org
Subject: Re: Bug#342173: ascii.7.gz: mention what EOT,ENQ, etc. stand for
Date: Thu, 8 Dec 2005 11:59:40 +0100 (MET)
> --- Urspr√ľngliche Nachricht ---
> Von: Dan Jacobson <jidanni@jidanni.org>
> An: Debian Bug Tracking System <submit@bugs.debian.org>
> Betreff: Bug#342173: ascii.7.gz: mention what EOT,ENQ, etc. stand for
> Datum: Tue, 06 Dec 2005 02:33:33 +0800
> 
> Package: manpages
> Version: 2.02-2
> Severity: wishlist
> File: /usr/share/man/man7/ascii.7.gz
> Tags: upstream
> 
> Mention what ...EOT,ENQ... stand for, like the level of
> detail on manpage ISO_8859-1(7).

Why do you think this is needed?  

(The level of detail on ISO_8859-1(7) serves a specific 
purpose: it allows the reader to correctly identify the 
extended character.  The ASCII abbreviation names are just
that: abbreviations.)

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#342173; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #13 received at 342173@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 342173@bugs.debian.org
Subject: Re: Bug#342173: ascii.7.gz: mention what EOT,ENQ, etc. stand for
Date: Sun, 11 Dec 2005 23:02:23 +0800
>> Mention what ...EOT,ENQ... stand for
M> Why do you think this is needed?
Many have meanings right until today. E.g.,
It would be great to know that BS meant backspace.
For the others, "let's not rob the next generation of this historical
connection".



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#342173; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #18 received at 342173@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Dan Jacobson <jidanni@jidanni.org>,342173@bugs.debian.org
Subject: Re: Bug#342173: ascii.7.gz: mention what EOT,ENQ, etc. stand for
Date: Tue, 13 Dec 2005 11:45:42 +0100 (MET)
> --- Urspr√ľngliche Nachricht ---
> Von: Dan Jacobson <jidanni@jidanni.org>
> An: 342173@bugs.debian.org
> Betreff: Bug#342173: ascii.7.gz: mention what EOT,ENQ, etc. stand for
> Datum: Sun, 11 Dec 2005 23:02:23 +0800
> 
> >> Mention what ...EOT,ENQ... stand for
> M> Why do you think this is needed?
> Many have meanings right until today. 

Agreed.

> E.g.,
> It would be great to know that BS meant backspace.
> For the others, "let's not rob the next generation of this historical
> connection".

I don't think the absence of this information will be "robbing
the next generation"...  The information is available in many 
places.

Dan, you may wonder why I'm resistant to the change: the
problem is that it would lengthen the page considerably (would
need to go from a two-column table to a single-column table
to fit the extra info), and I'm not (yet) convinced if that
disadvantage is worthwhile.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Tags added: upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#342173; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #25 received at 342173@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 342173@bugs.debian.org
Subject: Re: Bug#342173: ascii.7.gz: mention what EOT,ENQ, etc. stand for
Date: Thu, 15 Dec 2005 05:18:24 +0800
I was hoping at least a reference could be given to somewhere on the
system where those abbreviations are explained, without needing to
have a network connection. But even /usr/share/doc/miscfiles/ doesn't
have it.

Wait! Add a reference to
/usr/share/doc/hwb/html/table/ascii.html
in the non-free :-( hwb package



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#342173; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #30 received at 342173@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Dan Jacobson <jidanni@jidanni.org>,342173@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#342173: ascii.7.gz: mention what EOT,ENQ, etc. stand for
Date: Thu, 2 Feb 2006 18:40:22 +0100 (MET)
tags 342173 fixed-upstream
thanks
 
> >> Mention what ...EOT,ENQ... stand for
> M> Why do you think this is needed?
> Many have meanings right until today. E.g.,
> It would be great to know that BS meant backspace.
> For the others, "let's not rob the next generation of this historical
> connection".

Dan,

Sometimes I reflect for a while before deciding on a change...  I've
made changes along the lines you suggest -- will appear in
upstream 2.23.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#342173; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #37 received at 342173@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Dan Jacobson <jidanni@jidanni.org>,342173@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#342173: ascii.7.gz: mention what EOT,ENQ, etc. stand for
Date: Tue, 7 Feb 2006 19:29:17 +0100 (MET)
tags 342173 fixed-upstream
thanks

Dan,

> I was hoping at least a reference could be given to somewhere on the
> system where those abbreviations are explained, without needing to
> have a network connection. But even /usr/share/doc/miscfiles/ doesn't
> have it.
> 
> Wait! Add a reference to
> /usr/share/doc/hwb/html/table/ascii.html
> in the non-free :-( hwb package

I've actually made some amendments along the lines you requested,
and done it in such a way that the two-column format of the
table is still preserved.  Look for the new page when man-pages 
2.23 is released.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #44 received at 342173-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 342173-close@bugs.debian.org
Subject: Bug#342173: fixed in manpages 2.23-1
Date: Sun, 02 Apr 2006 08:32:18 -0700
Source: manpages
Source-Version: 2.23-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.23-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.23-1_all.deb
manpages_2.23-1.diff.gz
  to pool/main/m/manpages/manpages_2.23-1.diff.gz
manpages_2.23-1.dsc
  to pool/main/m/manpages/manpages_2.23-1.dsc
manpages_2.23-1_all.deb
  to pool/main/m/manpages/manpages_2.23-1_all.deb
manpages_2.23.orig.tar.gz
  to pool/main/m/manpages/manpages_2.23.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 342173@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  2 Apr 2006 16:47:36 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.23-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 342173 350884 351831 351831 351873
Changes: 
 manpages (2.23-1) unstable; urgency=low
 .
   * New upstream version
     . Improvements to msgop(2) (closes: Bug#350884)
     . Added SEE ALSO for pread(2) (closes: Bug#351873)
     . Added SEE ALSO refs for nl_langinfo.3 in localeconf(3) (closes: Bug#351831)
     . Added SEE ALSO refs for nl_langinfo.3 in setlocale(3) (closes: Bug#351831)
     . Add text describing characters 001 to 037 in ascii(7) (closes: 342173)
Files: 
 769b0117a1c373513913ea2c6579d753 586 doc - manpages_2.23-1.dsc
 34a99272acc469c3282e20d07af4869b 1104320 doc - manpages_2.23.orig.tar.gz
 8c098d9af211f02c4dfdb05b1492759e 54947 doc - manpages_2.23-1.diff.gz
 ed5d5a156c0e4b0ba4185740155e4161 424358 doc important manpages_2.23-1_all.deb
 1660a5b8d9f9e43dbdf3e9ce2c56390b 1136918 doc standard manpages-dev_2.23-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEL+yfW5ql+IAeqTIRAgdZAJ4kfOv+SLscoRa5Uwk9IPcH5WB0fQCfRrRt
fjMqmxmUt0WJGBaM5m8x+xE=
=jrh+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 12:33:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:39:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.